#ifndef HEADER_H
#define HEADER_H

#include <avr/io.h>
#include <util/delay.h>
#include <avr/interrupt.h>

#include "utils.h"
#include "bitmanip.h"
#include "interrupt.h"
#include "timer.h"
#include "usart.h"
#include "adc.h"

//
// GLOBAL
//
extern volatile uint8_t adc_channel;

//
// PROTOTYPES
//
// main.c
void i2c_init(void);
void i2c_start(void);
void i2c_stop(void);

//
// MACROS
//

#endif // HEADER_H